stages:
    - build
    - test
    - deploy

buildingproject:
    stage: build
    script: 
        - echo "Hello $GITLAB_USER_LOGIN"
        - echo "builds directory $CI_BUILDS_DIR"
        - echo "Commit branch $CI_COMMIT_BRANCH"

test-job1:
    stage: test
    script:
        - echo "This job does test1"
        - echo "The name of job $CI_JOB_NAME"

test-job2:
    stage: test
    script:
        - echo "This job does testing 2"
        - sleep 20
        - echo " Bye Bye tesing completed"

deploy-prod:
    stage: deploy
    script:
        - echo "Changes has been deployed in PROD from $CI_COMMIT_BRANCH on branch"
